Quassel IRC - Bug #960

Core crashes after deleting a Network without disconnecting the Network first
05/04/2010 04:46 PM - brot

Status: Resolved Start date: 05/04/2010
Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.7.3

Version: 0.7-pre 0S: Any
Description

Today i tried to delete a network, but i didnt disconnect from it (which i do normally). Then the quasselcore crashed and left the
following lines in the log:

2010-05-04 08:47:01 Info: Client 1.3.3.7 initialized and authenticated successfully as "brot" (Userld: 2).

2010-05-04 08:47:02 Warning: SignalProxy::handlelnitRequest() received initRequest for unregistered Object: "IrcUser" "3/Mike™
2010-05-04 08:47:06 Warning: "no matching slot for sync call: BufferSyncer::requestMarkBufferAsRead (objectName=""). Params
are:" (QVariant(Bufferld, ) )

2010-05-04 08:47:50 Warning: CoreBufferSyncer::removeBuffer(): invalid Bufferld: 1797 for User: 2

2010-05-04 08:47:50 Warning: CoreBufferSyncer::removeBuffer(): invalid Bufferld: 1798 for User: 2

2010-05-04 08:47:50 Warning: CoreBufferSyncer::removeBuffer(): invalid Bufferld: 1799 for User: 2

2010-05-04 08:47:50 Warning: PostgreSqlStorage::bufferinfo(): unable to create buffer

2010-05-04 08:47:50 Error: unhandled Error in QSqlQuery!

2010-05-04 08:47:50 Error: last Query: INSERT INTO buffer (userid, networkid, buffername, buffercname, buffertype,
joined)VALUES (:userid, :networkid, :buffername, :buffercname, :buffertype, :;joined)RETURNING bufferid

2010-05-04 08:47:50 Error: executed Query: INSERT INTO buffer (userid, networkid, buffername, buffercname, buffertype,
joined)VALUES (?, ?, ?, ?, ?, ?)RETURNING bufferid

2010-05-04 08:47:50 Error: bound Values: :buffercname="#minad', :buffername="#minad’, :buffertype=2, :joined=TRUE,
:networkid=39, :userid=2

2010-05-04 08:47:50 Error: Error Number: -1

2010-05-04 08:47:50 Error: Error Message: ERROR: insert or update on table "buffer" violates foreign key constraint

"buffer_networkid_fkey"DETAIL: Key (networkid)=(39) is not present in table "network".QPSQL: Es konnte keine Abfrage erzeugt
werden

2010-05-04 08:47:50 Error: Driver Message: QPSQL: Es konnte keine Abfrage erzeugt werden

2010-05-04 08:47:50 Error: DB Message: ERROR: insert or update on table "buffer" violates foreign key constraint
"buffer_networkid_fkey"DETAIL: Key (networkid)=(39) is not present in table "network".

2010-05-04 08:47:50 Error: ASSERT: "IcreateBuffer" in file
/var/tmp/portage/net-irc/quassel-9999/work/quassel-9999/src/core/coresession.cpp, line 280

2010-05-04 08:47:50 Debug: Quassel IRC: "0.7-pre" "617a3966941742a4e235af440d3665d0274354a8"

2010-05-04 08:47:51 Debug: # 0 quasselcore 0x00000000004db8a3 Quassel::logBacktrace(QString const&)
2010-05-04 08:47:51 Debug: # 1 quasselcore 0x00000000004cc9ff Quassel::handleSignal(int)

2010-05-04 08:47:51 Debug: # 2 libc.s0.6 0x0000002a97b650e0 0x0000000000000000

2010-05-04 08:47:51 Debug: # 3 libc.s0.6 0x0000002a97b65065 gsignal

2010-05-04 08:47:51 Debug: # 4 libc.s0.6 0x0000002a97b6630f abort

2010-05-04 08:47:51 Debug: # 5 libQtCore.so0.4 0x0000002a957df147 qt_message_output(QtMsgType, char const*)
2010-05-04 08:47:51 Debug: # 6 libQtCore.so0.4 0x0000002a957df2a6 0x0000000000000000

2010-05-04 08:47:51 Debug: # 7 libQtCore.so0.4 0x0000002a957df369 gFatal(char const®, ...)

2010-05-04 08:47:51 Debug: # 8 quasselcore 0x00000000004876f0 CoreSession::processMessages()

2010-05-04 08:47:51 Debug: # 9 quasselcore 0x0000000000487c1b CoreSession::customEvent(QEvent*)

2010-05-04 08:47:51 Debug: # 10 libQtCore.so0.4 0x0000002a9589123c QObject::event(QEvent*)

2010-05-04 08:47:51 Debug: # 11 libQtCore.so0.4 0x0000002a958841cc QCoreApplication::notifylnternal(QObject*, QEvent*)
2010-05-04 08:47:51 Debug: # 12 libQtCore.so0.4 0x0000002a95884549 QCoreApplicationPrivate::sendPostedEvents(QObject*,
int, QThreadData*)

2010-05-04 08:47:51 Debug: # 13 libQtCore.so0.4 0x0000002a958a1fec 0x0000000000000000

2010-05-04 08:47:51 Debug: # 14 libglib-2.0.s0.0  0x0000002a96ab3357 g_main_context_dispatch

2010-05-04 08:47:51 Debug: # 15 libglib-2.0.s0.0  0x0000002a96ab5207 0x0000000000000000

2010-05-04 08:47:51 Debug: # 16 libglib-2.0.s0.0  0x0000002a96ab52ea g_main_context_iteration

2010-05-04 08:47:51 Debug: # 17 libQtCore.so0.4 0x0000002a958a181c
QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)

2010-05-04 08:47:51 Debug: # 18 libQtCore.so0.4 0x0000002a95881146
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)

2010-05-04 08:47:51 Debug: # 19 libQtCore.so0.4 0x0000002a958820da
QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)

2010-05-04 08:47:51 Debug: # 20 libQtCore.s0.4 0x0000002a957e2869 QThread::exec()
2010-05-04 08:47:51 Debug: # 21 quasselcore 0x00000000004645ce SessionThread::run()
2010-05-04 08:47:51 Debug: # 22 libQtCore.so0.4 0x0000002a957e4e9f 0x0000000000000000
2010-05-04 08:47:51 Debug: # 23 libpthread.s0.0  0x0000002a95b8f8e4 0x0000000000000000

2010-05-04 08:47:51 Debug: # 24 libc.s0.6 0x0000002a97¢0353d clone

Related issues:

Related to Quassel IRC - Bug #1039: Core crash when changing the network sett... Resolved 11/23/2010
Related to Quassel IRC - Bug #999: Core crash on network removal New 06/24/2010

Associated revisions

Revision 01e42adb4316fb0f5f1e7c1a6035ea5a2f3405c¢f - 06/03/2011 01:56 PM - Marcus Eggenberger

Fixes #960 - "Core crashes after deleting a Network without disconnecting the Network first"
Note: this fixes the issue only in the 0.7 branch. Quassel Cores built from current git master
will still crash. This is due to some unsave pointer handling in the new event system, which
needs thorough fixing.

Revision 01e42adb - 06/03/2011 01:56 PM - Marcus Eggenberger

Fixes #960 - "Core crashes after deleting a Network without disconnecting the Network first"
Note: this fixes the issue only in the 0.7 branch. Quassel Cores built from current git master
will still crash. This is due to some unsave pointer handling in the new event system, which
needs thorough fixing.

Revision Ocba5df52ef9e773aef1a301cabadcfe8199bfd1 - 06/15/2011 12:48 AM - Marcus Eggenberger

Fixes #960 - "Core crashes after deleting a Network without disconnecting the Network first"
Note: this fixes the issue only in the 0.7 branch. Quassel Cores built from current git master
will still crash. This is due to some unsave pointer handling in the new event system, which
needs thorough fixing.

Revision Ocba5df5 - 06/15/2011 12:48 AM - Marcus Eggenberger

Fixes #960 - "Core crashes after deleting a Network without disconnecting the Network first"
Note: this fixes the issue only in the 0.7 branch. Quassel Cores built from current git master
will still crash. This is due to some unsave pointer handling in the new event system, which
needs thorough fixing.

History

#1 - 10/07/2010 04:51 PM - ddenis

I've got a similar crash, here is what | have in the log:

2010-10-07 18:27:55 Warning: Could not connect to Freenode (Connection timed out)
2010-10-07 18:28:45 Warning: CoreBufferSyncer::removeBuffer(): invalid Bufferld: 40 for User: 4
2010-10-07 18:28:45 Warning: PostgreSqlStorage::bufferinfo(): unable to create buffer
2010-10-07 18:28:45 Error: unhandled Error in QSqglQuery!

2010-10-07 18:28:45 Error: last Query: INSERT INTO buffer (userid, networkid, buffername, buffercname, buffertype, joined)VALUES
(:userid, :networkid, :buffername, :buffercname, :buffertype, :;joined)RETURNING bufferid

2010-10-07 18:28:45 Error: executed Query: INSERT INTO buffer (userid, networkid, buffername, buffercname, buffertype, joined)VALUES
(?,?,?,?,?, 7 RETURNING bufferid

2010-10-07 18:28:45 Error: bound Values: :buffercname=", :buffername=", :buffertype=1, :joined=FALSE, :networkid=12, :userid=4
2010-10-07 18:28:45 Error: Error Number: -1

2010-10-07 18:28:45 Error: Error Message: ERROR: insert or update on table "buffer" violates foreign key constraint
"buffer_networkid_fkey"DETAIL: Key (networkid)=(12) is not present in table "network".QPSQL: Unable to create query

2010-10-07 18:28:45 Error: Driver Message: QPSQL: Unable to create query

2010-10-07 18:28:45 Error: DB Message: ERROR: insert or update on table "buffer" violates foreign key constraint

"buffer_networkid_fkey"DETAIL: Key (networkid)=(12) is not present in table "network".
2010-10-07 18:28:45 Error: ASSERT: "IcreateBuffer" in file /build/buildd/quassel-0.6.1/src/core/coresession.cpp, line 261

#2 - 10/12/2010 10:45 AM - ddenis

I've upgraded to quasselcore to 0.7.1, but it still crashes with the same assert for me.
#3 - 01/20/2011 03:12 PM - ddenis
Please fix this pretty embarrassing bug. We have a quasselcore running with 30+ users and it is just silly to restart the core each time a new user

makes the same mistake that forces the core to crash.

#4 - 06/01/2011 01:24 PM - jesperht
Still happens. Please fix this!

#5 - 06/03/2011 02:06 PM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 01e42adb4316fb0f5f1e7c1a6035ea5a2f3405¢f.

#6 - 06/03/2011 05:04 PM - johu
- Target version set to 0.7.3

- Version changed from 0.6-pre to 0.7-pre
